# modpol: Modular Politics for Minetest

A mod for [Minetest](https://minetest.net) that provides an API for diverse governance mechanisms according to the [Modular Politics](https://metagov.org/modpol) specification. Built in collaboration with the Minetest community—see the initial [forum post](https://forum.minetest.net/viewtopic.php?f=47&t=26037)! 

This mod produces an API that can serve as a dependency for other mods that add specific governance functionalities.

For background information and project roadmap, see [the wiki](https://gitlab.com/medlabboulder/modpol/-/wikis/home).

## Functioning commands

Most of these commands will later be buried under other commands that do more privilege checking. These are mainly for testing purposes.

* `/neworg [orgname]` - Create a new org
* `/listorgs` - Lists the orgs (and their members) currently in existence
* `/rmorgs` - Reset orgs to just "instance" with all online players
* `/listplayers` - Lists all the players currently in the game
* `/joinorg [orgname]` - Adds the user to the specified org
* `/listmembers [orgname]` - Lists the players currently in the specified org

---

Initiated by [Nathan Schneider](https://nathanschneider.info) of the [Media Enterprise Design Lab](https://colorado.edu/lab/medlab) at the University of Colorado Boulder, as part of the [Metagovernance Project](https://metagov.org). Reach out if you'd like to contribute!
